Subject: Re: [PATCH] doc: add some crossrefs between manual pages

From: Junio C Hamano <[email-masked]>
Date: Tue, 11 Nov 2014 14:51:29 -0800

Max Horn <[email-masked]> writes:

> I did this because I was browsing the remote helper docs online quite a bit,
> and was wishing for some more direct links between the pages. While I can
> manyally edit the URL, it seems logical to offer these links directly.

> diff --git a/Documentation/git-fast-export.txt b/Documentation/git-fast-export.txt
> ...
> +linkgit:git-fast-import[1]

> diff --git a/Documentation/git-fast-import.txt b/Documentation/git-fast-import.txt
> ...
> +linkgit:git-fast-export[1]

Makes sense to have these pair refer to each other.

> diff --git a/Documentation/git-remote-ext.txt b/Documentation/git-remote-ext.txt
> ...
> +linkgit:gitremote-helpers[1]

> diff --git a/Documentation/git-remote-fd.txt b/Documentation/git-remote-fd.txt
> +linkgit:gitremote-helpers[1]

Likewise.  git-remote-* are instances of gitremote-helpers.

> diff --git a/Documentation/gitremote-helpers.txt b/Documentation/gitremote-helpers.txt
> index 64f7ad2..8edf72c 100644
> --- a/Documentation/gitremote-helpers.txt
> +++ b/Documentation/gitremote-helpers.txt
> @@ -452,8 +452,14 @@ SEE ALSO
>  --------
>  linkgit:git-remote[1]
>  
> +linkgit:git-remote-ext[1]
> +
> +linkgit:git-remote-fd[1]
> +
>  linkgit:git-remote-testgit[1]

Makes sense.

> +linkgit:git-fast-import[1]

This looks somewhat out of place; fast-import is not the only or
even the primary way to do a remote-helper, is it?